local Options =  CreateFrame( "Frame", "RaidbotOptions", UIParent );
Options.name = "Raidbot";
Options.okay = SaveOptions
Options.refresh = LoadOptions
InterfaceOptions_AddCategory(Options);

Options.okay = function ()
    for i=1, GuildControlGetNumRanks() do
        g_raidbotConfig.AutoAssist[i] = Options.Ranks[i]:GetChecked ()
    end    
    
end
Options.refresh = function ()
    for k,v in pairs(g_raidbotConfig.AutoAssist) do
        Options.Ranks[k]:SetChecked (true)
    end
end

local Title = Options:CreateFontString("$parentTitle", "ARTWORK", "GameFontNormalLarge")
Title:SetPoint("TOPLEFT", 8, -16)
Title:SetText(Options.name)
Options.Title = Title

local TitleAutoAssist = Options:CreateFontString("$parentTitle", "ARTWORK", "GameFontNormalLarge")
TitleAutoAssist:SetPoint("TOPLEFT", 8, -48)
TitleAutoAssist:SetText('AutoAssist')
TitleAutoAssist:SetTextHeight (14)
Options.TitleAutoAssist = TitleAutoAssist

Options.Ranks = {}

for i=1, GuildControlGetNumRanks() do
    local tmp = CreateFrame ("CheckButton", "$parentShowCount", Options, "InterfaceOptionsCheckButtonTemplate")
    tmp.idx = i
    tmp:SetPoint("TOPLEFT", TitleAutoAssist, "BOTTOMLEFT", -2, -6 - (i-1)*24)
    tmp.Text:SetText (GuildControlGetRankName (i))
    --[[tmp:SetScript("OnClick", function(this)

    end)]]
    
    table.insert (Options.Ranks, tmp)
end


